Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 394393 - Xorg stabilization list for December
Summary: Xorg stabilization list for December
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard: if you find regression please DON'T C...
Keywords: STABLEREQ
: 393437 (view as bug list)
Depends on: 394397 394399 395385
Blocks: 394395
  Show dependency tree
 
Reported: 2011-12-12 00:03 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2012-06-03 12:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x11-stable-list.txt v1 (x11-stable-list.txt,2.44 KB, text/plain)
2011-12-12 00:03 UTC, Chí-Thanh Christopher Nguyễn
Details
x11-stable-list.txt v2 (x11-stable-list.txt,2.34 KB, text/plain)
2011-12-14 23:06 UTC, Chí-Thanh Christopher Nguyễn
Details
x11-stable-list.txt v3 (x11-stable-list.txt,2.34 KB, text/plain)
2012-01-19 14:54 UTC, Chí-Thanh Christopher Nguyễn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2011-12-12 00:03:09 UTC
Created attachment 295507 [details]
x11-stable-list.txt v1

Please stabilize the packages which are listed in the attached stabilization
list.

For generating keywords list just do:
awk '/YOURARCHHERE/ {print "="$1}' x11-stable-list.txt > x11-stable.keywords
Comment 1 ScytheMan 2011-12-12 01:00:36 UTC
Please take a look at bug #391193 before stabilizing ati-drivers-11.11 and xorg-server-1.11.2-r2
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2011-12-12 01:03:30 UTC
Please don't comment here about non-stabilization issues. Bug 391193 has a known workaround, and it was decided by x11 team that proprietary drivers will not hinder the progress of the x11 packages.
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2011-12-12 01:26:30 UTC
*** Bug 393437 has been marked as a duplicate of this bug. ***
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2011-12-14 23:06:35 UTC
Created attachment 295865 [details]
x11-stable-list.txt v2

* Dropped xf86-input-synaptics-1.5.0 due to regressions (e.g. bug 393161)
Comment 5 Agostino Sarubbo gentoo-dev 2011-12-20 16:35:12 UTC
amd64 stable
Comment 6 Jeroen Roovers gentoo-dev 2011-12-20 21:41:49 UTC
Stable for HPPA, except media-libs/mesa, which is waiting for bug #394889 and may be a while. Please re-CC when the attached list gets deprecated/updated.
Comment 7 Markus Meier gentoo-dev 2011-12-21 22:28:05 UTC
arm stable
Comment 8 Markus Meier gentoo-dev 2011-12-27 21:14:40 UTC
x86 stable
Comment 9 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-01-19 14:54:41 UTC
Created attachment 299303 [details]
x11-stable-list.txt v3

Changed stabilization target to x11-misc/xkeyboard-config-2.4.1-r3 due to security vulnerability in combination with xorg-server-1.11.

Arches that have already stabilized the list will be handled in bug 399347.
Comment 10 Brent Baude (RETIRED) gentoo-dev 2012-02-15 19:20:56 UTC
ppc done
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2012-02-19 15:27:10 UTC
alpha/ia64/s390/sh/sparc stable
Comment 12 Brent Baude (RETIRED) gentoo-dev 2012-03-03 16:36:27 UTC
ppc64 done
Comment 13 Chí-Thanh Christopher Nguyễn gentoo-dev 2012-03-07 21:05:48 UTC
Re-adding ppc64, you forgot x11-base/xorg-server
Comment 14 Brent Baude (RETIRED) gentoo-dev 2012-03-08 14:52:10 UTC
ppc64 done; closing as last arch